<?php
ini_set('memory_limit', '512M');
set_time_limit(60);

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: GET, POST, PUT, DELETE, OPTIONS");
header("Access-Control-Allow-Headers: Content-Type, X-Client-Env, X-Client-Type, X-Client-Name, Authorization, x-client-env, x-client-type, x-client-name, authorization");

require __DIR__ . '/../vendor/autoload.php';

$app = new \App\App;

require __DIR__ . '/../scripts/dbhook.php';
require __DIR__ . '/../src/Middleware/Auth.php';
require __DIR__ . '/../src/router.php';


$ENVIRONMENT_FILE = getConfigurationFile('environment.json');
$CLIENT_NAME      = getClientName();
$CLIENT_ENV       = getClientEnv();

$app->run();